Skip to main content

Search Users

POST 

/v1/users/search

Search users in the authenticated user's organization.

Supports filtering by:

  • name: Filter by user display name
  • email: Filter by exact email address
  • emails: Filter by a list of email addresses
  • user_ids: Filter by a list of user IDs
  • role_name: Filter by organization role (ask71_admin, organization_admin, member)
  • status: Filter by user status (ACTIVE, INACTIVE, INITIAL, LOCKED, DELETED)
  • email_or_name: Partial match on email or display name

Results are paginated and sortable.

Request​

Responses​

Successfully searched users